Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.log
Class PrintEventLog

    java.lang.Object
      ix.icore.log.PrintEventLog

    public class PrintEventLog

extends java.lang.Object

Field Summary
`(package private) java.io.BufferedReader` | `in`
`(package private) java.lang.String` | `logFileName`
`(package private) java.io.PrintStream` | `out`

Constructor Summary
`PrintEventLog()`

Method Summary
`(package private) void` | `describeEvent(BindingEvent event)`
`(package private) void` | `describeEvent(HistoryComment event)`
`(package private) void` | `describeEvent(HistoryEvent event)`
`(package private) void` | `describeEvent(ItemHandledEvent event)`
`(package private) void` | `describeEvent(MessageReceived event)`
`(package private) void` | `describeEvent(MessageSent event)`
`(package private) java.lang.String` | `eventClassName(HistoryEvent event)`
`static void` | `main(java.lang.String[] argv)`
`(package private) void` | `processCommandLineArguments()`
`(package private) java.lang.String` | `readBlock(java.io.BufferedReader in)`
`(package private) java.lang.String` | `readLine()`
`(package private) void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logFileName

    java.lang.String logFileName

### in

    java.io.BufferedReader in

### out

    java.io.PrintStream out

Constructor Detail

### PrintEventLog

    public PrintEventLog()

Method Detail

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processCommandLineArguments

    void processCommandLineArguments()

### run

    void run()
       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readBlock

    java.lang.String readBlock(java.io.BufferedReader in)

### readLine

    java.lang.String readLine()

### describeEvent

    void describeEvent(HistoryEvent event)

### eventClassName

    java.lang.String eventClassName(HistoryEvent event)

### describeEvent

    void describeEvent(HistoryComment event)

### describeEvent

    void describeEvent(MessageSent event)

### describeEvent

    void describeEvent(MessageReceived event)

### describeEvent

    void describeEvent(ItemHandledEvent event)

### describeEvent

    void describeEvent(BindingEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD